Subject: bug#71579: 30.0.50; Mailto URI handler emacsclient doesn't show unless there's a visible frame

From: Björn Bidar <[email-masked]>
Date: Sun, 09 Mar 2025 07:41:31 +0200

I accidentally on replied to Eli. Replying to my original message
now with Eliz's reply off-list.

Eli Zaretskii <[email-masked]> writes:

>> From: Björn Bidar <[email-masked]>
>> Date: Sat, 08 Mar 2025 14:14:11 +0200
>> 
>> 
>> I'm not sure if this is worth a bug report but while testing I noticed
>> that using the emacsclient mailto handler opens a buffer in any frame no
>> matter if there is a visible frame or not on the current virtual
>> desktop.
>> 
>> Is this a bug or intended? 
>
> I don't understand what you mean.  How can a buffer be shown in a
> frame that is not visible?  And what do you mean by "any frame"?

By visible I mean that it is not present on the current virtual desktop.
Lets say the user has a frame on desktop 1 but is on  desktop 2.
Now they open a mailto link and the link will be opened in the frame on
desktop one despite them being on desktop 2.

With in any frame I mean any frame without filtering out those which are
currently not visible on the users screen.

> (And why private email?)